/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package p4uclient;

import java.io.IOException;
import java.util.ArrayList;

/**
 * タスク全体の管理
 * @author tondol
 */
public class TaskManager {
    private ArrayList<TaskAbstract> tasks = null;
    
    public TaskManager() {
        tasks = new ArrayList<TaskAbstract>();
    }
    
    public void close() throws IOException {
        while (!tasks.isEmpty()) {
            tasks.get(0).close();
            tasks.remove(0);
        }
    }
    
    public void addItem(TaskAbstract task) {
        tasks.add(task);
    }
    
    public void deleteItem(TaskAbstract task) throws IOException {
        task.close();
        tasks.remove(task);
    }
}
